package metrics

import (
	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promauto"
)

var inMemoryObjectsGauge = promauto.NewGauge(prometheus.GaugeOpts{
	Namespace: "app",
	Name:      "inmemory_repo_objects",
	Help:      "Current in-memory repository size",
})

func SetInMemoryObjects(n int) {
	inMemoryObjectsGauge.Set(float64(n))
}
